# Authentication in the Arkane Cloud API

To authenticate, include your *API key* (e.g., `ABC123...`) in the `Authorization` header, as shown below:

```
Authorization: Bearer ABC123...
```

Warning

Keep your keys private; do not share or expose them in client-side code. If a key is compromised, Nebius AI Studio can automatically revoke it.

To get an API key:

1. In Arkane Cloud Platform, go to the [API keys](https://console.arkanecloud.com/management) section.
2. Click **Create API key**.
3. Enter the key name and then click **Create**.
4. Save the displayed API key. You cannot open it later in Arkane Cloud Platform.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arkanecloud.com/arkane-cloud/inference/api/authentication-in-the-arkane-cloud-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
